org.bdgenomics.adam.rich

# DecadentRead

#### class DecadentRead extends Logging

Linear Supertypes
Logging, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. DecadentRead
2. Logging
3. AnyRef
4. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new DecadentRead(record: RichAlignmentRecord)

### Type Members

1. #### class Residue extends AnyRef

   In biochemistry and molecular biology, a "residue" refers to a specific monomer within a polymeric chain, such as DNA.

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### def alignmentQuality: Option[QualityScore]

7. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### def ensureAligned: Boolean

10. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

11. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

12. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

13. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

14. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

15. #### def isAligned: Boolean

16. #### def isCanonicalRecord: Boolean

17. #### def isDuplicate: Boolean

18. #### def isFirstOfPair: Boolean

19. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

20. #### def isNegativeRead: Boolean

21. #### def isPaired: Boolean

22. #### def isPrimaryAlignment: Boolean

23. #### def isSecondOfPair: Boolean

24. #### def isTraceEnabled(): Boolean

    Attributes
      protected
    Definition Classes
      Logging

25. #### def log: Logger

    Attributes
      protected
    Definition Classes
      Logging

26. #### def logDebug(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

27. #### def logDebug(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

28. #### def logError(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

29. #### def logError(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

30. #### def logInfo(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

31. #### def logInfo(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

32. #### def logName: String

    Attributes
      protected
    Definition Classes
      Logging

33. #### def logTrace(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

34. #### def logTrace(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

35. #### def logWarning(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

36. #### def logWarning(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

37. #### def mismatches: MdTag

38. #### def mismatchesOption: Option[MdTag]

39. #### def name: String

40. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

41. #### final def notify(): Unit

    Definition Classes
      AnyRef

42. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

43. #### def passedQualityChecks: Boolean

44. #### lazy val readGroup: String

45. #### val record: RichAlignmentRecord

46. #### lazy val residues: IndexedSeq[Residue]

47. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

48. #### def toString(): String

    Definition Classes
      AnyRef → Any

49. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

50. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

51. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Logging

### Inherited from AnyRef

### Inherited from Any

### Ungrouped